import 'package:json_annotation/json_annotation.dart';
import 'package:odf/bean/search_bean.dart';

import 'new_search_room_bean.dart';

part 'new_search_bean.g.dart';

@JsonSerializable(explicitToJson: true)
class NewSearchBean {
  List<NewSearchRoomBean> rooms;

  SearchBean? ports;

  NewSearchBean(this.rooms, this.ports);

  factory NewSearchBean.fromJson(Map<String, dynamic> json) => _$NewSearchBeanFromJson(json);

  Map<String, dynamic> toJson() => _$NewSearchBeanToJson(this);
}
